This is the mail archive of the
gcc-patches@gcc.gnu.org
mailing list for the GCC project.
update regression tester for top-level bootstrap
- From: gkeating at apple dot com (Geoffrey Keating)
- To: gcc-patches at gcc dot gnu dot org
- Cc: Paolo Bonzini <bonzini at gnu dot org>
- Date: Tue, 5 Sep 2006 11:11:32 -0700 (PDT)
- Subject: update regression tester for top-level bootstrap
The regression tester is supposed to treat a bootstrap miscompare as
non-fatal, and try to run the testsuite anyway. (This is very helpful
in finding a smaller testcase for the bootstrap problem.) The file
indicating a bad comparison appears to have moved when toplevel
bootstrap was introduced.
--
- Geoffrey Keating <geoffk@apple.com>
===File ~/patches/regress-badcompareloc.patch===============
2006-09-05 Geoffrey Keating <geoffk@apple.com>
* btest-gcc.sh: .bad_compare has moved to toplevel from gcc/.
Index: btest-gcc.sh
===================================================================
--- btest-gcc.sh (revision 116658)
+++ btest-gcc.sh (working copy)
@@ -123,8 +123,8 @@
if [ $H_HOST = $H_TARGET ] ; then
$SOURCE/configure --prefix=$PREFIX --target=$H_TARGET || exit 1
if ! make $dashj bootstrap ; then
- [ -s gcc/.bad_compare ] || exit 1
- cat gcc/.bad_compare >> $REGRESS || exit 1
+ [ -s .bad_compare ] || exit 1
+ cat .bad_compare >> $REGRESS || exit 1
make $dashj all || exit 1
fi
else
============================================================